Commit f0ab03f7 authored by Rafael Monnerat's avatar Rafael Monnerat

Update Release Candidate

parents cacf65d5 d0c208a6
From 8089fa02122fed0a6394eba14bbedcb1d18e2384 Mon Sep 17 00:00:00 2001
From: Kevin Atkinson <kevina@gnu.org>
Date: Thu, 29 Dec 2016 00:50:31 -0500
Subject: Compile Fixes for GCC 7.
Closes #519.
---
modules/filter/tex.cpp | 2 +-
prog/check_funs.cpp | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/modules/filter/tex.cpp b/modules/filter/tex.cpp
index a979539..19ab63c 100644
--- a/modules/filter/tex.cpp
+++ b/modules/filter/tex.cpp
@@ -174,7 +174,7 @@ namespace {
if (c == '{') {
- if (top.in_what == Parm || top.in_what == Opt || top.do_check == '\0')
+ if (top.in_what == Parm || top.in_what == Opt || *top.do_check == '\0')
push_command(Parm);
top.in_what = Parm;
diff --git a/prog/check_funs.cpp b/prog/check_funs.cpp
index db54f3d..89ee09d 100644
--- a/prog/check_funs.cpp
+++ b/prog/check_funs.cpp
@@ -647,7 +647,7 @@ static void print_truncate(FILE * out, const char * word, int width) {
}
}
if (i == width-1) {
- if (word == '\0')
+ if (*word == '\0')
put(out,' ');
else if (word[len] == '\0')
put(out, word, len);
--
2.15.0.rc0
......@@ -16,11 +16,8 @@ configure-command = ./configure --vars ASPELL=${aspell:location}/bin/aspell PREZ
[aspell]
recipe = slapos.recipe.cmmi
shared = false
url = http://ftp.gnu.org/gnu/aspell/aspell-0.60.6.1.tar.gz
md5sum = e66a9c9af6a60dc46134fdacf6ce97d7
patch-options = -p1
patches =
${:_profile_base_location_}/Compile-Fixes-for-GCC-7.patch#0159a8841e1241153d2105d157fc8225
url = https://ftp.gnu.org/gnu/aspell/aspell-0.60.7.tar.gz
md5sum = 8ef2252609c511cd2bb26f3a3932ef28
environment =
PATH=${patch:location}/bin:${perl:location}/bin:%(PATH)s
CPPFLAGS=-I${ncurses:location}/include
......
......@@ -6,8 +6,8 @@ extends =
[nss]
recipe = slapos.recipe.cmmi
url = https://ftp.mozilla.org/pub/security/nss/releases/NSS_3_29_RTM/src/nss-3.29.tar.gz
md5sum = 253d1ae4cf5a560373bbadb4bf483945
url = https://ftp.mozilla.org/pub/security/nss/releases/NSS_3_45_RTM/src/nss-3.45.tar.gz
md5sum = f1752d7223ee9d910d551e57264bafa8
location = ${buildout:parts-directory}/${:_buildout_section_name_}
configure-command = make -j1 -C nss/coreconf/nsinstall all
# XXX How to build nss-config and pkg-config files ?
......
......@@ -4,8 +4,9 @@ parts =
[zstd]
recipe = slapos.recipe.cmmi
url = https://github.com/facebook/zstd/archive/v1.3.8.tar.gz
md5sum = 0e85b062003729776c6114cd9632cf75
url = https://github.com/facebook/zstd/releases/download/v${:version}/zstd-${:version}.tar.gz
version = 1.4.2
md5sum = 1d6aea1cd67a8eab7aa6905f4bf148f8
shared = true
location = @@LOCATION@@
configure-command = :
......
......@@ -25,6 +25,7 @@
#
##############################################################################
import os
import shlex
from slapos.recipe.librecipe import GenericBaseRecipe
from zc.buildout import UserError
......@@ -60,6 +61,7 @@ class NeoBaseRecipe(GenericBaseRecipe):
'--key', etc + 'neo.key',
)
args += self._getOptionList()
args += shlex.split(options.get('extra-options', ''))
return self.createWrapper(options['wrapper'], args)
def _getBindingAddress(self):
......
......@@ -83,7 +83,7 @@ location = ${buildout:parts-directory}/${:_buildout_section_name_}
[versions]
# Numpy 1.7.0 doesn't install well
numpy = 1.6.2
numpy = 1.16.4
# websockify 0.4.1 doesn't install well
websockify = 0.3.0
plone.recipe.command = 1.1
......
......@@ -11,7 +11,7 @@ pycrypto = 2.6.1
rdiff-backup = 1.0.5+SlapOSPatched001
slapos.recipe.template = 4.3
smmap = 0.9.0
numpy = 1.11.2
numpy = 1.16.4
websockify = 0.8.0
......@@ -24,7 +24,7 @@ pycrypto = 2.6.1
rdiff-backup = 1.0.5+SlapOSPatched001
slapos.recipe.template = 4.3
smmap = 0.9.0
numpy = 1.11.2
numpy = 1.16.4
websockify = 0.8.0
collective.recipe.shelloutput = 0.1
......@@ -43,7 +43,7 @@ pydot = 1.0.28
xlrd = 0.9.3
xlwt = 0.7.5
pyparsing = 2.0.3
numpy = 1.9.1
numpy = 1.16.4
scipy = 0.13.3
simpy = 3.0.5
zope.dottedname = 4.1.0
......
......@@ -92,7 +92,7 @@ tornado = 4.4.2
traitlets = 4.3.2
widgetsnbextension = 2.0.0
# numpy >= 1.13.1 is required for numpy.core.multiarray
numpy = 1.13.1
numpy = 1.16.4
# Required by:
......
......@@ -121,7 +121,7 @@ revision= v0.11-15-gf785ac079b
# ping eggs versions
[versions]
ZODB3 = 3.11.0
numpy = 1.14.2
numpy = 1.16.4
zope.testing = 4.6.2
pygolang = 0.0.0.dev4
erp5.util = 0.4.51
......
......@@ -14,7 +14,7 @@
# not need these here).
[mariadb-resiliency-after-import-script]
filename = instance-mariadb-resiliency-after-import-script.sh.in
md5sum = c1f1083bf6c911a0e65dcb841fba327d
md5sum = aff3bb574c8f0a2db9911fee30540e12
[mariadb-slow-query-report-script]
filename = mysql-querydigest.sh.in
......@@ -26,7 +26,7 @@ md5sum = d95e8500bdc72d1f40b97cc414656e7e
[template-mariadb]
filename = instance-mariadb.cfg.in
md5sum = 9df786692c61bd8d3a6f4e7ed15f272f
md5sum = 5a93ff00ee4eb60cc065d51fb437877a
[template-kumofs]
filename = instance-kumofs.cfg.in
......
......@@ -18,12 +18,10 @@ mariadb_backup_directory='{{ mariadb_backup_directory }}'
pid_file='{{ pid_file }}'
binlog_path='{{ binlog_path }}'
server_executable='{{ server_executable }}'
update_executable='{{ update_executable }}'
# Make sure mariadb is not already running
if [ -e "$pid_file" ]; then
pid=$(cat "$pid_file")
if [ $? -ne 0 ]; then
if ! pid=$(cat "$pid_file"); then
echo "Cannot read Mariadb pidfile, assuming running. Aborting."
exit 1
fi
......@@ -34,7 +32,7 @@ if [ -e "$pid_file" ]; then
fi
echo "Deleting existing database..."
rm -r "$mariadb_data_directory"/* >/dev/null 2>&1 || true
find "$mariadb_data_directory" -mindepth 1 -delete
# $binlog_path can be empty if incremental_backup_retention_days <= -1
if [ -n "$binlog_path" ]; then
......@@ -57,26 +55,14 @@ if ! [ -d /proc/$mysql_pid ]; then
echo "mysqld exited, aborting."
exit 1
fi
"$update_executable" &
mariadb_update_pid=$!
sleep 60
# If mariadb_update is still running, abort
if [ -d /proc/$mariadb_update_pid ]; then
echo "mariadb_update still running after timeout, aborting."
kill $mariadb_update_pid
exit 1
fi
echo "Importing data..."
# Use latest dump XXX can contain funny characters
dump=$(ls -r "$mariadb_backup_directory" | head -1)
zcat "$mariadb_backup_directory/$dump" | $mysql_executable -u root
RESTORE_EXIT_CODE=$?
if [ $RESTORE_EXIT_CODE -eq 0 ]; then
echo 'Backup restoration successfully completed.'
else
zcat "$mariadb_backup_directory/$dump" | $mysql_executable -u root || {
RESTORE_EXIT_CODE=$?
echo 'Backup restoration failed.'
fi
exit $RESTORE_EXIT_CODE
}
exit $RESTORE_EXIT_CODE
echo 'Backup restoration successfully completed.'
......@@ -314,7 +314,6 @@ context =
key pid_file my-cnf-parameters:pid-file
key binlog_path my-cnf-parameters:binlog-path
key server_executable mysqld:rendered
key update_executable update-mysql:output
[{{ section('monitor-generate-mariadb-slow-query-report') }}]
recipe = slapos.cookbook:cron.d
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment